import Taro from '@tarojs/taro';
import {User} from "@/api/system/user/model";

// 模版套餐ID - 请根据实际情况修改
export const TEMPLATE_ID = '10584';
// 服务接口 - 从环境配置读取
// @ts-ignore
export const SERVER_API_URL = process.env.TARO_ENV === 'production'
  ? 'https://glt-server.websoft.top/api'
  : 'https://glt-server.websoft.top/api';
/**
 * 保存用户信息到本地存储
 * @param token
 * @param user
 */
export function saveStorageByLoginUser(token: string, user: User) {
  Taro.setStorageSync('TenantId',user.tenantId)
  Taro.setStorageSync('access_token', token)
  Taro.setStorageSync('UserId', user.userId)
  Taro.setStorageSync('Phone', user.phone)
  Taro.setStorageSync('WxNickName', user.nickname);
  Taro.setStorageSync('User', user)

}
